
///////////////////////////////////////////////////////////////////////

extern int SelectFiles(char *CurrentDirectory)
{
	static char File[2048];
	static int ReturnFlag;
	static OPENFILENAME ofn;
	ofn.lStructSize=sizeof(ofn);

	File[0] = '\0';
	ReturnFlag = 0;

	sprintf(File,"*.*");

	ofn.hwndOwner = 0;
	ofn.nFilterIndex=1;
	ofn.lpstrFile=File;
	ofn.nMaxFile=sizeof(File);
	ofn.lpstrInitialDir=CurrentDirectory;
	ofn.Flags = OFN_ALLOWMULTISELECT + OFN_EXPLORER + OFN_LONGNAMES + OFN_FILEMUSTEXIST ;
	ofn.lpstrTitle="Select Files To Pack";
	ReturnFlag = GetOpenFileName(&ofn);  // Open GetOpenFileName Dialog
	if(ReturnFlag == 0)return 0;
	Parse_FileNames(ofn.nFileOffset,ofn.lpstrFile,ofn.lpstrFile);  // Parse File Names
	return ReturnFlag;
}

///////////////////////////////////////////////////////////////////////

extern void Parse_FileNames(short PlaceHolder, char *FullFileString, char *Directory)
{
	static int LocalLoop;
	static int ClearLoop;
	static char Local_Result[1024];
	static char Local_ScanTemp[1024];
	static char LocalTemp[1024];

	LocalLoop = 0;
	ClearLoop = 0;

	Local_Result[0] = '\0';
	Local_ScanTemp[0] = '\0';
	LocalTemp[0] = '\0';

	while(LocalLoop < 100)
	{
		LocalLoop++;
		while(PlaceHolder < 20480 && FullFileString[PlaceHolder] != '\0')
		{
			sprintf(Local_ScanTemp,"%c",FullFileString[PlaceHolder]);
			strcat(Local_Result,Local_ScanTemp);
			PlaceHolder++;
		}

		sprintf(LocalTemp,"%s\\%s",Directory,Local_Result);
		FilePathArray[LocalLoop] = StringScan(LocalTemp,0,strlen(LocalTemp));
		FileArray[LocalLoop] = StringScan(Local_Result,0,strlen(Local_Result));

		if(FullFileString[PlaceHolder+1] == '\0')break;

		ClearLoop = 0;
		while(ClearLoop < sizeof(Local_Result)) // Clear ( Local_Result )
		{
			Local_Result[ClearLoop] = '\0';
			ClearLoop++;
		}
		ClearLoop = 0;
		while(ClearLoop < sizeof(Local_ScanTemp)) // Clear ( Local_ScanTemp )
		{
			Local_ScanTemp[ClearLoop] = '\0';
			ClearLoop++;
		}

		PlaceHolder++;
	}
}

///////////////////////////////////////////////////////////////////////

