////////////////////////////////////////////////////////////////////////

extern int UnPackFiles(char *SourceFileName, char *Directory)
{
	//-----------------------------------
	static int End_Of_File;
	static int LocalLoop;
	static int SizeLoop;
	static char Char_Buffer;
	static char FileNameSwap_Temp[257];

	LocalLoop = 0;
	SizeLoop = 0;

	Char_Buffer = '\0';

	FileNameSwap_Temp[0] = '\0';

	//-----------------------------------

	/* Open Source File */
	if((Source_File = fopen(SourceFileName,"rb")) == NULL)
	{
		Error("Could Not Open Source For Read. Error 19.");
		return 0;
	}

	End_Of_File = 1;
	LocalLoop = 0;
	Clear_ScanTemp();

	//-----------------------------------------------------------------
	while (End_Of_File != EOF)	//---( Get Number Of Files )
	{
		End_Of_File = fscanf(Source_File, "%c", &Char_Buffer);
		if(End_Of_File != EOF)
		{
			sprintf(ScanTemp,"%c",Char_Buffer);
			if(strcmp(ScanTemp,"|") == 0)
			{
				Number_Of_Files = CharInt(NumberOfFiles_Temp);
				//				  printf("Number_Of_Files = %d\n",Number_Of_Files);  // Test Code
				break;
			}
			strcat(NumberOfFiles_Temp,ScanTemp);
		}
	}							//---( End_Of_Loop )

	//-----------------------------------------------------------------

	End_Of_File = 1;
	LocalLoop = 0;
	Clear_ScanTemp();

	//-----------------------------------------------------------------
	while (End_Of_File != EOF)	//---( Get File Sizes )
	{
		End_Of_File = fscanf(Source_File, "%c", &Char_Buffer);
		if(End_Of_File != EOF)
		{
			sprintf(ScanTemp,"%c",Char_Buffer);
			if(strcmp(ScanTemp,"|") == 0)
			{
				break;
			}
			if(strcmp(ScanTemp,"/") == 0)
			{
				LocalLoop++;
				Clear_ScanTemp(); // Clear ScanTemp
				FileSizeArray[LocalLoop] = CharInt(FileSizeArray_Temp);
				Clear_FileSizeArray_Temp();  // Clear FileSizeArray_Temp
			}
			strcat(FileSizeArray_Temp,ScanTemp);
		}
	}							//---( End_Of_Loop )

	//-----------------------------------------------------------------

	End_Of_File = 1;
	LocalLoop = 0;
	Clear_ScanTemp();

	//-----------------------------------------------------------------
	while (End_Of_File != EOF)	//---( Get File Names )
	{
		End_Of_File = fscanf(Source_File, "%c", &Char_Buffer);
		if(End_Of_File != EOF)
		{
			sprintf(ScanTemp,"%c",Char_Buffer);
			if(strcmp(ScanTemp,"|") == 0)
			{
				break;
			}
			if(strcmp(ScanTemp,"*") == 0)
			{
				LocalLoop++;
				sprintf(FileNameSwap_Temp,"%s",FileNameArray_Temp);
				sprintf(FileNameArray_Temp,"%s\\%s",Directory,FileNameSwap_Temp);
				//printf("Opening File = %s\n",FileNameArray_Temp); //Test Code
				if((UnPack_File[LocalLoop] = fopen(FileNameArray_Temp,"wb")) == NULL)
				{
					Error("Could Not Open Target For Write. Error 20.");
					return 0;
				}
				FileNameArray_Temp[0] = '\0';
				Clear_ScanTemp();
			}
			strcat(FileNameArray_Temp,ScanTemp);

		}
	}							//---( End_Of_Loop )

	//-----------------------------------------------------------------

	End_Of_File = 1;
	LocalLoop = 0;
	Clear_ScanTemp();

	//-----------------------------------------------------------------

	while (LocalLoop < Number_Of_Files)  //---( Write To Files )
	{
		LocalLoop++;
		SizeLoop = 0;
		while(SizeLoop < FileSizeArray[LocalLoop])
		{
			SizeLoop++;
			End_Of_File = fscanf(Source_File, "%c", &Char_Buffer);
			fprintf(UnPack_File[LocalLoop],"%c",Char_Buffer);
		}
	}									 //---( End_Of_Loop )

	//-----------------------------------------------------------------

	if(Source_File)fclose(Source_File);
	if(Target_File)fclose(Target_File);

	//-----------------------------------

	return 1;
}

////////////////////////////////////////////////////////////////////////

